List invoices
curl --request GET \
--url https://api.pawpayments.com/api/v2/invoices \
--header 'x-api-key: <api-key>'import requests
url = "https://api.pawpayments.com/api/v2/invoices"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.pawpayments.com/api/v2/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"result": [
{
"accepted_coins": [
"usdt_tron",
"usdc_eth"
],
"address_from": null,
"address_to": "TXk2Y5...redacted",
"amount": 49.5,
"asset": "usdt_tron",
"billing_type": "fiat",
"created_at": 1763398800,
"description": "1 month subscription",
"excluded_coins": null,
"expires_at": 1763400600,
"external_id": "f2c8a3d1-4b7e-4f8a-9c1d-2e3b4a5c6d7e",
"extra": "order-12345",
"fee_bearer": "merchant",
"fiat_amount": 50,
"fiat_currency": "USD",
"initial_amount": 49.5,
"initial_asset": "usdt_tron",
"initial_fiat_amount": 50,
"metadata": {
"customer_id": "u_42"
},
"notify_url": "https://shop.example.com/webhook/paw",
"on_cancel_url": "https://shop.example.com/cancel",
"on_paid_url": "https://shop.example.com/thanks",
"order_id": "65f1c3a4e8b1c2d3a4b5c6d7",
"original_amount": 50,
"payer_info": null,
"payment_url": "https://pay.pawpayments.com/checkout/f2c8a3d1-4b7e-4f8a-9c1d-2e3b4a5c6d7e",
"permanent_address_id": null,
"price_modifier": -1,
"processed_at": null,
"received_amount": 0,
"status": "created",
"title": "Premium plan",
"txid": null,
"type": "token",
"underpay_tolerance": 0.01,
"user_id": null
}
],
"pagination": {
"page": 1,
"pages": 1,
"per_page": 20,
"total": 1
}
}{
"error": {
"code": "VALIDATION_ERROR",
"details": [
{
"field": "amount",
"message": "Field required"
}
],
"message": "Validation failed"
},
"ok": false
}{
"error": {
"code": "VALIDATION_ERROR",
"details": [
{
"field": "amount",
"message": "Field required"
}
],
"message": "Validation failed"
},
"ok": false
}Invoices
List invoices
Returns a paginated, filterable list of invoices for the authenticated merchant. Supports filtering by status, asset, date range and a list of explicit ids via order_ids.
GET
/
api
/
v2
/
invoices
List invoices
Authorizations
Query Parameters
ISO-8601 datetime or unix timestamp.
ISO-8601 datetime or unix timestamp.
Available options:
created_at, amount Available options:
asc, desc Required range:
x >= 1Required range:
1 <= x <= 100Comma-separated list of invoice ids.
⌘I

